import { Component } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';

/**
 * @title Slide-toggle with forms
 */
@Component({
    selector   : 'slide-toggle-forms-example',
    templateUrl: './slide-toggle-forms-example.html',
    styleUrls  : ['./slide-toggle-forms-example.css']
})
export class SlideToggleFormsExample
{
    isChecked = true;
    formGroup: FormGroup;

    constructor(formBuilder: FormBuilder)
    {
        this.formGroup = formBuilder.group({
            enableWifi : '',
            acceptTerms: ['', Validators.requiredTrue]
        });
    }

    onFormSubmit(formValue: any)
    {
        alert(JSON.stringify(formValue, null, 2));
    }
}
